Cif
Predict at-risk cumulative incidence
For each request in the list, evaluates the fitted CIF model's at-risk count and cumulative incidence.
For each request in the list, evaluates the fitted CIF model's at-risk count and cumulative incidence.
Authorization
SymetryMLAuth AuthorizationBearer <token>
HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
user*string
User/Customer identifier
project*string
Project identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/c1/projects/nbra_prj_iris/cif/predictAtRiskCIF" \ -H "Content-Type: application/json" \ -d '{ "values": [ { "k": 1, "group": "1", "times": [ 0, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000, 1100 ] }, { "k": 1, "group": "2", "times": [ 0, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000, 1100 ] } ] }'{ "statusCode": 200, "statusString": "OK", "values": { "cifPredictionList": { "values": [ { "sdfmap": { "1": { "attributeNames": [ "time", "at_risk", "cif_1", "se_1", "ci_0.025_1", "ci_0.975_1" ], "attributeTypes": [ "C", "C", "C", "C", "C", "C" ], "data": [ [ "0.0", "140.0", "0.0", "0.0", "NaN", "NaN" ], [ "100.0", "114.0", "0.1571428571428572", "0.030758155665476617", "0.10260273179390839", "0.22221242565570617" ], [ "200.0", "78.0", "0.3580766836342334", "0.04059586170910002", "0.2794077638001093", "0.43727297288903977" ], [ "300.0", "48.0", "0.4891895060743304", "0.043633823111181", "0.4012973788679544", "0.5712571132397862" ], [ "400.0", "31.0", "0.6210865419621935", "0.044223542565125944", "0.5281161168637102", "0.7009523152766108" ], [ "500.0", "20.0", "0.6944888474932942", "0.0432485873689662", "0.6007663631397884", "0.7703933334406989" ], [ "600.0", "13.0", "0.7494945852221141", "0.04141779060408305", "0.6571704753978423", "0.8203179726320583" ], [ "700.0", "8.0", "0.79349917540517", "0.03892455943895709", "0.7043277261946982", "0.8584414026282773" ], [ "800.0", "6.0", "0.79349917540517", "0.03892455943895709", "0.7043277261946982", "0.8584414026282773" ], [ "900.0", "2.0", "0.8243023885333091", "0.037713775660103574", "0.7354080769083516", "0.8856124583142393" ], [ "1000.0", "2.0", "0.8243023885333091", "0.037713775660103574", "0.7354080769083516", "0.8856124583142393" ], [ "1100.0", "0.0", "0.8243023885333091", "0.037713775660103574", "0.7354080769083516", "0.8856124583142393" ] ] } } }, { "sdfmap": { "2": { "attributeNames": [ "time", "at_risk", "cif_1", "se_1", "ci_0.025_1", "ci_0.975_1" ], "attributeTypes": [ "C", "C", "C", "C", "C", "C" ], "data": [ [ "0.0", "90.0", "0.0", "0.0", "NaN", "NaN" ], [ "100.0", "82.0", "0.04457831325301205", "0.021788104964977878", "0.014518135414476996", "0.10167014566336526" ], [ "200.0", "66.0", "0.17207317717893575", "0.04049403043096091", "0.10155412134087251", "0.25818261969913703" ], [ "300.0", "43.0", "0.2789054890105819", "0.0500399094768408", "0.18605377465931935", "0.37927232770782715" ], [ "400.0", "26.0", "0.4120314947862289", "0.05887356695796634", "0.2964184728826568", "0.5238654084168193" ], [ "500.0", "21.0", "0.5098996221925831", "0.06303519976724337", "0.38092585448110805", "0.6249781420861418" ], [ "600.0", "11.0", "0.5776861778066684", "0.0650620564938355", "0.440224636436233", "0.692821435849596" ], [ "700.0", "8.0", "0.640097010441687", "0.06810997899351412", "0.4906595205735009", "0.7561282057899835" ], [ "800.0", "2.0", "0.8065258974684032", "0.062029435980521415", "0.6482678092434251", "0.8988283983392312" ], [ "900.0", "1.0", "0.8065258974684032", "0.062029435980521415", "0.6482678092434251", "0.8988283983392312" ], [ "1000.0", "0.0", "0.8065258974684032", "0.062029435980521415", "0.6482678092434251", "0.8988283983392312" ], [ "1100.0", "0.0", "0.8065258974684032", "0.062029435980521415", "0.6482678092434251", "0.8988283983392312" ] ] } } } ] } }}